package com.gree.mall.manager.bean.worker;

import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.WorkerElecSingConfirmEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel
@ZfireField(tbName = "a")
public class WorkerElecConfirmVO {

    @ApiModelProperty(value = "所属公司")
    private String belongCompany;

    @ApiModelProperty(value = "所属公司编号")
    private String belongCompanyCode;

    @ApiModelProperty(value = "师傅编号")
    private String workerNumber;

    @ApiModelProperty(value = "师傅名称")
    private String nickName;

    @ApiModelProperty(value = "师傅联系电话")
    private String mobile;

    @ApiModelProperty(value = "师傅身份证名称")
    private String idCard;

    @ApiModelProperty(value = "状态")
    private WorkerElecSingConfirmEnum status;

    @ApiModelProperty(value = "签署时间")
    private Date createTime;

    @ZfireField(hide = true)
    @ApiModelProperty(value = "地址")
    private String url;
}
